MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022571Community[OCCT] OCCT:Modeling Algorithmspublic2011-06-03 13:292011-11-24 15:46
Reporterszy 
Assigned Tojgv 
PrioritynormalSeveritytrivial 
StatusassignedResolutionreopened 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version 
Summary0022571: BRepTools_ReShape::Status() incorrectly returns new result for shapes with location
DescriptionRLN contribution:
fix230 ==> bug
- Detailed description: With MyConsiderLocation mode = True, Status() returns a
shape with null location
        Fixed version now uses Value() to check the result. Additional fix in
Value() - to multiply result
        location by shape location, not vice versa.
        Test case - import shaver.igs into XDE, and check that subshapes are of
full yellow color. Quick
        check - entity 10921 and its 1st face (10922). Prior to the fix, the
TransferProcess incorrectly
        stored a null location result and therefore colors were not assigned to
the resulting subshape.

fix345 ==> Improvement
- Summary: BRepTools_ReShape now is able to accumulate shape mapping from
another ShapeBuild_ReShape
- Detailed description: New method void BRepTools_ReShape::Join (const
Handle(ShapeBuild_ReShape)&) added.
        The use case for it is concurrent processing of shapes and then
reduction of results into a single ReShape.

=============================================
Branch OCC22571_BRepToolsReShape is created
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-24 15:46 szy Assigned To bugmaster => jgv
2011-11-24 15:46 szy Status acknowledged => assigned
2011-11-24 15:46 szy Resolution suspended => reopened
2011-11-24 15:46 szy Fixed in Version EMPTY =>
2011-11-24 15:46 szy Description Updated View Revisions


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker